body {
    padding: 20px;
    /*background-color: #f8f9fa;*/
    background:
            linear-gradient(135deg,#0000 20.5%,#f8f8f8 0 29.5%,#0000 0) 0 16px,
            linear-gradient( 45deg,#0000 8%,#f8f8f8 0 17%, #0000 0 58%) 32px 0,
            linear-gradient(135deg,#0000 8%,#f8f8f8 0 17%, #0000 0 58%,#f8f8f8 0 67%,#0000 0),
            linear-gradient( 45deg,#0000 8%,#f8f8f8 0 17%, #0000 0 58%,#f8f8f8 0 67%,#0000 0 83%,#f8f8f8 0 92%,#0000 0),
            #fbfbfb;
    background-size: 64px 64px;
    padding-top: 70px;
}

nav.navbar {
    position: fixed;
    top: 0;
    z-index: 1040;
    width: 100%;
    background-color: #fff;
    box-shadow: 0px 10px 20px -15px lightgray;
    margin-left: -20px; /* Offset to compensate for the body padding */
}


.main-nav {
    margin: 15px;
    width: 200px;
    color: #343a40;
    border-color: #343a40;
}

#nav-container {
    width: 100%;
    margin: auto;
}

#upload-btn {
    background-color: #3399CC;
}

#view-btn {
    background-color: #65CCCB;
}

#content-container {
    margin-bottom: 60px; /* Space for the footer */
}


.form-container {
    max-width: 1000px;
    margin: 0 auto;
    background: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}
.form-label {
    font-weight: bold;
}
.text-data {
    margin-left: 20px;
}
#testIdLabel, #testIdVerLabel {
    background-color: lightskyblue;
}
#basicInfoGroup {
    background-color: lightgray;
    border: 4px solid gray;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
}
#testConfigurationGroup {
    background-color: #f0f8ff;
    border: 4px solid #007bff;
    border-radius: 5px;
}
#configNotes {
    background-color: #FAFDFFFF;
    border: 1px solid #ced4da;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
    width: 100%;
}
#hardwareConfigurationGroup {
    background-color: #ebfff2;
    border: 1px solid #4cc375;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
}

#softwareComponentsGroup {
    background-color: #fff8eb;
    border: 1px solid #ddb264;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
}

#audioComponentsGroup {
    background-color: #faebff;
    border: 1px solid #d67af8;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
}

#dataStorageGroup {
    background-color: #ebfffe;
    border: 1px solid #6de9e4;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
}

#observationsGroup {
    background-color: #ffd6c5;
    border: 1px solid #fd6223;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
}

#followUpActions {
    background-color: #fbfbfb;
    border: 1px solid #dfdfdf;
    border-radius: 5px;
    min-height: 150px;
    padding: 10px;
    width: 100%;
}

.svg-icon-container {
    float: left;
    margin: 0 10px 0 0 ;
    display: block;

}
#testProcedureLink,#testPlanLink {
    color: blue;
}
#okta-sign-in .auth-org-logo {
    display: block;
    margin: 0 auto;
    max-width: 200px !important;
    max-height: 100px !important;
}

.dynamic-section {
    margin-bottom: 1.5rem;
}
.dynamic-section h5 {
    margin-bottom: 0.5rem;
}
.dynamic-item {
    border: 1px solid #dee2e6;
    border-radius: 0.25rem;
    padding: 1rem;
    margin-bottom: 0.5rem;
}
.edit-button {
    top: 1rem;
    right: 1rem;
    width: 120px;
}

#test-heading {
    float: left;
}

i.bi-aura {
    width: 30px;
    display: block;
    float: left;
    scale: 120%;
}

.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 60px;
    line-height: 60px; /* Vertically center the text there */
    background-color: #f8f8f8;
    margin-left: -20px; /* Offset to compensate for the body padding */
    box-shadow: inset 0px 10px 20px -15px lightgray;
}
.footer p {
    float: left;
}

.info-dot {
    width: 10px;
    height: 10px;
    display: inline-block;
    margin-left: 5px;
    scale: 80%;
    color: #a1cdfa;
}